%
% Quadratic test
%
% what = 'f'  compute the Rosenbrock function
% what = 'Df' compute the Gradient of the Rosenbrock function
% what = 'DDf' compute the Hessian of the Rosenbrock function
%
function RES = Quadratic( what, X )

  A = [ 20 0 ; 0 1 ] ;

  switch what
  case {'name','title'}
    RES = 'Quadratic' ;
  case {'n','size'}
    RES = 2 ;
  case 'm'
    RES = 1 ;
  case {'init','start'}
    RES = [1;1] ;
  case 'f'
    RES = X(1:2,:)'*A*X(1:2,:) ;
  case 'Df'
    RES = X(1:2,:)'*A ;
  case 'F'
    RES = A*X(1:2,:) ;
  case {'DDf','JF'}
    RES = A ;
  otherwise
    error(['Quadratic, bad argument:' what]) ;
  end ;
end
