function RES = GetFunctionToMinimize(what,varargin)
  list = { @Beale,
           @BiggsEXP6,
           @BohachevskyN1,
           @BohachevskyN2,
           @BohachevskyN3,
           @Box3,
           @BraninRCOS,
           @BrownAndDennis,
           @BrownBadlyScaled,
           @Chebyquad,
           @Colville,
           @DeJongF1,
           @DeJongF2,
           %@DeJongF3,
           @DeJongF4,
           @DeJongF5,
           @Easom,
           @ExtendedPowell,
           @ExtendedRosenbrock,
           @Gauss,
           @GoldsteinPrice,
           @GregoryAndKarney,
           @Gulf,
           @Han,
           @HelicalValley,
           @Hilbert,
           @Himmelblau,
           @Leon,
           @PenaltyN1,
           @PenaltyN2,
           @Powell3D,
           @PowellBadlyScaled,
           @PowellSingularQuartic,
           @Quadratic,
           @Rosenbrock,
           @SchafferF6,
           @SchafferF7,
           @ShekelSQRN10,
           @ShekelSQRN5,
           @ShekelSQRN7,
           @Shubert,
           @SixHumpCamelBack,
           @Trigonometric,
           @VariablyDimensioned,
           @Watson,
           @Wood } ;
           %@mckinnon 

  switch what
  case 'list'
    RES = list ;
  case 'fun'
    RES = list{varargin{1}} ;
  case 'n'
    RES = length(varargin) ;
  otherwise
    error(['GetFunctionsToMinimize, bad argument:' what]) ;
  end

end
