function RES = GetLSFunctionToMinimize(what,varargin)
  list = { @Froth,
           @LSBeale,
           @LSBiggsEXP6,
           @LSBox3,
           @LSBrownBadlyScaled,
           @LSGauss,
           @LSGulf,
           @LSHimmelblau,
           @LSLeon,
           @LSPowellBadlyScaled,
           @LSPowellSingularQuartic,
           @LSTrigonometric,
           @LSWood } ;

  switch what
  case 'list'
    RES = list ;
  case 'fun'
    RES = list{varargin{1}} ;
  case 'n'
    RES = length(varargin) ;
  otherwise
    error(['GetLSFunctionToMinimize, bad argument:' what]) ;
  end

end
